commit:     347399efbc186b64fde9e7a9c8ce2e1342680f7e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 22 03:08:46 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Feb 22 03:32:31 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=347399ef

dev-python/typer: Bump to 0.24.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/typer/Manifest            |  1 +
 dev-python/typer/typer-0.24.1.ebuild | 67 ++++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-python/typer/Manifest b/dev-python/typer/Manifest
index db5b04ed046e..4ea0f873502e 100644
--- a/dev-python/typer/Manifest
+++ b/dev-python/typer/Manifest
@@ -3,3 +3,4 @@ DIST typer-0.21.0.tar.gz.provenance 9031 BLAKE2B 
99ff1f36faba9fdf49bd52ca84e0aab
 DIST typer-0.23.0.tar.gz 120181 BLAKE2B 
ed10661ad2cc942c4010bb9cf01b6a37e1426e7f17632c826375f151fb02b5641e32e4bf8ea07c45f86e1a3c91982df30b4a58fc9e0391717c84ad3fffc1db74
 SHA512 
a21e41a4075610d12cd28cdb6e8d5136437cb942925b19f95c34db3e62574a03773d5a242dcbd67eac5e77907ca091a9c689638a65ffe411a0fcef20b897a7ca
 DIST typer-0.23.1.tar.gz 120047 BLAKE2B 
51461f8514acccf270dc5c86e24ba842d82f0c1c7b4a121725a8f96cefd5b0d06806e5f3262d6a1f2b5ed25e2ae8e3dfd545e4bcd4a8bda90827609f743f732a
 SHA512 
f6d40ef01a602491895192b2158a22b224468eec13215fe6d547e680b235de199101af08f58ea37ffbd6683a409c84c7c233ec164db7f6031045cbda1685a296
 DIST typer-0.24.0.tar.gz 118380 BLAKE2B 
ab0f919882f742aa6a917d9219d25400e8a77370af488b5c26c9b2785aa4107746d6685f480ce1b608d391dc24ee5aed36468a1dc87894ce44be53a03cea9a12
 SHA512 
881922b1c7fe2577e4a240be90afa3b1c4753caf36793a423dfff7b1be4c8be6123d4157799e54705d523d971f34f6de829ad91a7b1ad68f4f341a0709b2e724
+DIST typer-0.24.1.tar.gz 118613 BLAKE2B 
fc4821bb1a91e32e7fe2376bda33d5fc411288567b08b460d03aab2a8d6f2ed7ea3f1e32db20cfdeb28258904f5ce5b496ebe25faf9dc221dcfa7fb25c59652d
 SHA512 
581511a2e0397be85023237161c5683e3ea8cf30208b5090fe4b037fb1d351f3e1e80e33bc0dcf6d116a71926561cfb560b631fffb38195afffcf9a9a1e71439

diff --git a/dev-python/typer/typer-0.24.1.ebuild 
b/dev-python/typer/typer-0.24.1.ebuild
new file mode 100644
index 000000000000..526ae3f45ea4
--- /dev/null
+++ b/dev-python/typer/typer-0.24.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 shell-completion pypi
+
+DESCRIPTION="Build great CLIs. Easy to code. Based on Python type hints"
+HOMEPAGE="
+       https://typer.tiangolo.com/
+       https://github.com/fastapi/typer/
+       https://pypi.org/project/typer/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="cli"
+
+RDEPEND="
+       >=dev-python/annotated-doc-0.0.2[${PYTHON_USEDEP}]
+       >=dev-python/click-8.2.1[${PYTHON_USEDEP}]
+       >=dev-python/rich-12.3.0[${PYTHON_USEDEP}]
+       >=dev-python/shellingham-1.3.0[${PYTHON_USEDEP}]
+       cli? ( !dev-lang/erlang )
+"
+BDEPEND="
+       test? (
+               dev-python/coverage[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       if ! use cli; then
+               sed -i -e '/typer\.cli/d' pyproject.toml || die
+       fi
+}
+
+python_test() {
+       # See scripts/tests.sh
+       local -x TERMINAL_WIDTH=3000
+       local -x _TYPER_FORCE_DISABLE_TERMINAL=1
+       local -x _TYPER_RUN_INSTALL_COMPLETION_TESTS=1
+
+       epytest
+}
+
+python_install() {
+       if use cli && [[ ! ${COMPLETIONS_INSTALLED} ]]; then
+               local -x _TYPER_COMPLETE_TEST_DISABLE_SHELL_DETECTION=1
+               newbashcomp - typer < <(typer --show-completion bash || die)
+               newzshcomp - typer < <(typer --show-completion zsh || die)
+               newfishcomp - typer < <(typer --show-completion fish || die)
+               COMPLETIONS_INSTALLED=1
+       fi
+
+       distutils-r1_python_install
+}

Reply via email to